Package docking.widgets.tree.tasks

# Class GTreeExpandAllTask

java.lang.Object
ghidra.util.worker.Job
ghidra.util.worker.PriorityJob
docking.widgets.tree.GTreeTask
docking.widgets.tree.tasks.GTreeExpandAllTask

public class GTreeExpandAllTask extends GTreeTask

- ## Field Summary

  ### Fields inherited from class docking.widgets.tree.GTreeTask

  `jTree, tree`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GTreeExpandAllTask(GTree tree, GTreeNode node)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `expandNode(GTreeNode parent, boolean force, TaskMonitor monitor)`
  Expand the specified parent tree node.
  `void`
  `run(TaskMonitor monitor)`
  The method that gets called by the Worker when this job is selected to be run by the Worker.

  ### Methods inherited from class docking.widgets.tree.GTreeTask

  `runOnSwingThread, setTaskMonitor, translatePath`

  ### Methods inherited from class ghidra.util.worker.PriorityJob

  `getID, getPriority`

  ### Methods inherited from class ghidra.util.worker.Job

  `cancel, getError, hasError, isCancelled, isCompleted, setCompleted, setError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GTreeExpandAllTask

    public GTreeExpandAllTask(GTree tree, GTreeNode node)

- ## Method Details

  - ### run

    public void run(TaskMonitor monitor)
    Description copied from class: `Job`
    The method that gets called by the Worker when this job is selected to be run by the Worker.
    Specified by:
      `run` in class `Job`

  - ### expandNode

    protected void expandNode(GTreeNode parent, boolean force, TaskMonitor monitor) throws CancelledException
    Expand the specified parent tree node.
    Parameters:
      `parent` - the tree node to be expanded
      `force` - if parent node has auto-expand disabled (see `GTreeNode.isAutoExpandPermitted()`) passing true will force such a node to expand, false will respect this restriction and not expand the parent node.
      `monitor` - task monitor
    Throws:
      `CancelledException` - if task cancelled